package bbuvajava;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */




import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
//import java.util.Iterator;

/**
 *
 * @author Administrador
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    Sucursal suc;
    private static void carga_datos(Sucursal suc){
        ArrayList<Producto> AP=new ArrayList<Producto>();
        double saldo;

        Producto c1=new CuentaCorriente();
        Titular t1=new Titular();
        t1.setNombre("Julian Martinez Morillas");
        t1.setNumIdent("11100100A");
        c1.insertaTitular(t1);
        c1.setNumeroCuenta("20984002161000015263");
        saldo=(double) 4563.35;
        c1.setSaldo(saldo);
        AP.add(c1);

        Producto c2=new CuentaCorriente();
        Titular t2=new Titular();
        t2.setNombre("Javier Alvarez Cejudo");
        t2.setNumIdent("11100101F");
        c2.insertaTitular(t2);
        c2.setNumeroCuenta("20984002181000015264");
        saldo=(double) 127.56;
        c2.setSaldo(saldo);
        AP.add(c2);

        Producto c3=new CuentaCorriente();
        Titular t3=new Titular();
        t3.setNombre("Martin Rivas Nistal");
        t3.setNumIdent("11100102D");
        c3.insertaTitular(t3);
        c3.setNumeroCuenta("20984002141000015265");
        saldo=(double) 12666;
        c3.setSaldo(saldo);
        AP.add(c3);

        Producto c4=new CuentaCorriente();
        Titular t4=new Titular();
        t4.setNombre("Alicia Rivas Cano");
        t4.setNumIdent("11100103H");
        c4.insertaTitular(t4);
        c4.setNumeroCuenta("20984002131000015266");
        saldo=(double) 687.89;
        c4.setSaldo(saldo);
        AP.add(c4);

        Producto c5=new CuentaCorriente();
        Titular t5=new Titular();
        t5.setNombre("Julia Morente Castro");
        t5.setNumIdent("11100104E");
        c5.insertaTitular(t5);
        c5.setNumeroCuenta("20984002151000015267");
        saldo=(double) 365888.35;
        c5.setSaldo(saldo);
        AP.add(c5);

        Producto c6=new CuentaCorriente();
        Titular t6=new Titular();
        t6.setNombre("Antonio Recio Odon");
        t6.setNumIdent("11100105R");
        c6.insertaTitular(t6);
        c6.setNumeroCuenta("20984002181000015268");
        saldo=(double) 45.5;
        c6.setSaldo(saldo);
        AP.add(c6);

        Producto c7=new CuentaCorriente();
        Titular t7=new Titular();
        t7.setNombre("Luisa Fernandez Ruiz");
        t7.setNumIdent("11100106W");
        c7.insertaTitular(t7);
        c7.setNumeroCuenta("20984002191000015269");
        saldo=(double) 2845.09;
        c7.setSaldo(saldo);
        AP.add(c7);

        Producto c8=new CuentaCorriente();
        Titular t8=new Titular();
        t8.setNombre("Antonio Martin Ares");
        t8.setNumIdent("11100107F");
        c8.insertaTitular(t8);
        c8.setNumeroCuenta("20984002141000015270");
        saldo=(double) 563.35;
        c8.setSaldo(saldo);
        AP.add(c8);
        
        Producto c9=new CuentaCorriente();
        Titular t9=new Titular();
        t9.setNombre("Gabriel Mercado Condal");
        t9.setNumIdent("11100108S");
        c9.insertaTitular(t9);
        c9.setNumeroCuenta("20984002151000015271");
        saldo=(double) 84563.35;
        c9.setSaldo(saldo);
        AP.add(c9);

        Producto c10=new CuentaCorriente();
        Titular t10=new Titular();
        t10.setNombre("Pedro Villar Torres");
        t10.setNumIdent("11100109Y");
        c10.insertaTitular(t10);
        c10.setNumeroCuenta("20984002181000015272");
        saldo=(double) 5436.87;
        c10.setSaldo(saldo);
        AP.add(c10);

        Producto c11=new CuentaCorriente();
        Titular t11=new Titular();
        t11.setNombre("Maria Castilla Ramos");
        t11.setNumIdent("11100110K");
        c11.insertaTitular(t11);
        c11.setNumeroCuenta("20984002171000015273");
        saldo=(double) 453.35;
        c11.setSaldo(saldo);
        AP.add(c11);

        Producto c12=new CuentaCorriente();
        Titular t12=new Titular();
        t12.setNombre("Isabel Torres Ruiz");
        t12.setNumIdent("11100111D");
        c12.insertaTitular(t12);
        c12.setNumeroCuenta("20984002131000015274");
        saldo=(double) 54342.65;
        c12.setSaldo(saldo);
        AP.add(c12);

        Producto c13=new CuentaCorriente();
        Titular t13=new Titular();
        t13.setNombre("Ana Castro Cano");
        t13.setNumIdent("11100112Q");
        c13.insertaTitular(t13);
        c13.setNumeroCuenta("20984002181000015275");
        saldo=(double) 2563.35;
        c13.setSaldo(saldo);
        AP.add(c13);

        Producto c14=new CuentaCorriente();
        Titular t14=new Titular();
        t14.setNombre("Luis Canseco Roldan");
        t14.setNumIdent("11100113B");
        c14.insertaTitular(t14);
        c14.setNumeroCuenta("20984002171000015276");
        saldo=(double) 1326.26;
        c14.setSaldo(saldo);
        AP.add(c14);
        
        Producto c15=new CuentaCorriente();
        Titular t15=new Titular();
        t15.setNombre("Olivia Martinez Fernandez");
        t15.setNumIdent("11100114N");
        c15.insertaTitular(t15);
        c15.setNumeroCuenta("20984002181000015277");
        saldo=(double) 21321.32;
        c15.setSaldo(saldo);
        AP.add(c15);
        
        Producto c16=new CuentaCorriente();
        Titular t16=new Titular();
        t16.setNombre("Universidad de Huelva");
        t16.setNumIdent("11100115C");
        c16.insertaTitular(t16);
        c16.setNumeroCuenta("20981001242000024145");
        saldo=(double) 84563.76;
        c16.setSaldo(saldo);
        AP.add(c16);
        
        Producto c17=new CuentaCorriente();
        Titular t17=new Titular();
        t17.setNombre("TELEFONICA DE ESPANA, S.A.U.");
        t17.setNumIdent("11100116X");
        c17.insertaTitular(t17);
        c17.setNumeroCuenta("20981003821540005128");
        saldo=(double) 1234563.45;
        c17.setSaldo(saldo);
        AP.add(c17);
        
        Producto c18=new CuentaCorriente();
        Titular t18=new Titular();
        t18.setNombre("Telefónica Moviles");
        t18.setNumIdent("11100117A");
        c18.insertaTitular(t18);
        c18.setNumeroCuenta("20980002210007125226");
        saldo=(double) 657878.54;
        c18.setSaldo(saldo);
        AP.add(c18);
        
        Producto c19=new CuentaCorriente();
        Titular t19=new Titular();
        t19.setNombre("Canal Satelite Digital, SL");
        t19.setNumIdent("11100118F");
        c19.insertaTitular(t19);
        c19.setNumeroCuenta("20980002260000564814");
        saldo=(double) 476344.76;
        c19.setSaldo(saldo);
        AP.add(c19);

        Producto c20=new CuentaCorriente();
        Titular t20=new Titular();
        t20.setNombre("ENDESA ENERGIA XXI, S.L.");
        t20.setNumIdent("11100119G");
        c20.insertaTitular(t20);
        c20.setNumeroCuenta("20980003410000425188");
        saldo=(double) 1654756.33;
        c20.setSaldo(saldo);
        AP.add(c20);

        Producto c21=new CuentaCorriente();
        Titular t21=new Titular();
        t21.setNombre("El Corte Inglés");
        t21.setNumIdent("11100120C");
        c21.insertaTitular(t21);
        c21.setNumeroCuenta("20980005620000954125");
        saldo=(double) 8767888.66;
        c21.setSaldo(saldo);
        AP.add(c21);

        Producto c22=new CuentaCorriente();
        c22.insertaTitular(t21);
        c22.setNumeroCuenta("20980005621000854194");
        saldo=(double) 7887.50;
        c22.setSaldo(saldo);
        AP.add(c22);
      
        suc.setCuenta(AP);
    }
    public static void main(String[] args) throws IOException {
        // TODO code application logic here
        Sucursal suc=new Sucursal();
        carga_datos(suc);
        
        
        /*String id;
        CuentaCorriente c= new CuentaCorriente();
        BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
        System.out.println("Introduce identificador:");
        id = in.readLine( );
        Titular t=suc.devuelveTitular(id);
        System.out.println(t.getNombre()+"\n"+t.getNumIdent()+"\n");*/
        
        new jfrmPrincipal(suc).setVisible(true);
    }

}
